%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Module-Runtime
Version:       0.016
Release:       2mamba
Summary:       Runtime module handling
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/Z/ZE/ZEFRAM/Module-Runtime-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Module::Runtime	- runtime module handling.

%prep
%setup -q -n Module-Runtime-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.016-2mamba
- rebuilt with perl 5.36.0

* Tue Nov 21 2017 Automatic Build System <autodist@mambasoft.it> 0.016-1mamba
- automatic update by autodist

* Sat Sep 23 2017 Automatic Build System <autodist@mambasoft.it> 0.015-1mamba
- automatic update by autodist

* Sun Feb 09 2014 Automatic Build System <autodist@mambasoft.it> 0.014-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.013-2mamba
- perl 5.16 mass rebuild

* Sat Oct 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.013-1mamba
- package created by autospec
